Bug 892034 - Python-gevent package built against wrong version of libevent.
Summary: Python-gevent package built against wrong version of libevent.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-gevent
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Silas Sewell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-04 22:09 UTC by Lars Kellogg-Stedman
Modified: 2014-08-27 01:36 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-27 01:36:07 UTC


Attachments (Terms of Use)

Description Lars Kellogg-Stedman 2013-01-04 22:09:03 UTC
Description of problem:

python-gevent-0.13.6-2.fc17.x86_64 is built against libevent 2.0.14-stable, but the libevent currently in Fedora 17 is 2.0.18-stable.  This produces a warning whenever Python codes imports the gevent module.

How reproducible:

$ python
Python 2.7.3 (default, Jul 24 2012, 10:05:38) 
[GCC 4.7.0 20120507 (Red Hat 4.7.0-5)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gevent
__main__:1: UserWarning: libevent version mismatch: system version is '2.0.18-stable' but this gevent is compiled against '2.0.14-stable'
>>>

Comment 1 Lars Kellogg-Stedman 2013-02-14 19:04:02 UTC
I notice that there is now a new version of gevent available, and someone has filed a ticket about that fact.  A new python-gevent package would take care of both open issues.

Comment 2 Fedora End Of Life 2013-07-04 03:24:21 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 10:53:36 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Martin Magr 2014-02-20 14:36:11 UTC
/usr/lib64/python2.7/site-packages/pymongo/mongo_replica_set_client.py:340: UserWarning: libevent version mismatch: system version is '2.0.21-stable' but this gevent is compiled against '2.0.18-stable'
  from gevent import Greenlet

Happened for me on Fedora 20. I'm reopening this bug.

Comment 5 Orion Poplawski 2014-08-15 15:37:56 UTC
Silas - are you still around?

Comment 6 Orion Poplawski 2014-08-15 15:52:31 UTC
Looks like 1.0 no longer emits this warning (which seems kind of bogus anyways), but that isn't backwards compatible with 0.13.8.  I'll just rebuild.

Comment 7 Fedora Update System 2014-08-15 16:04:36 UTC
python-gevent-0.13.8-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-gevent-0.13.8-4.fc20

Comment 8 Fedora Update System 2014-08-16 22:32:39 UTC
Package python-gevent-0.13.8-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-gevent-0.13.8-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9516/python-gevent-0.13.8-4.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-08-27 01:36:07 UTC
python-gevent-0.13.8-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.